People and groups
Onboard the caller
Onboard the caller
curl --request POST \
--url https://agentgateway.atlan.engineering/registry/v1/users/onboard \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/users/onboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/users/onboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"extensions_installed": [
{
"extension": "<string>",
"extension_status": "<string>",
"release": "<string>"
}
],
"groups": [
{
"created_at": "<string>",
"id": "<string>",
"updated_at": "<string>",
"external_id": "<string>",
"member_count": 1,
"name": "<string>"
}
],
"is_created": true,
"org": {
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"kind": "user_default",
"name": "<string>",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_status": "active",
"artifact_count": 1,
"artifact_count_by_kind": {},
"effective_role": "admin",
"member_count": 1,
"parent": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"parent_id": "<string>",
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
},
"organisation": {
"artifact_count_by_kind": {},
"created_at": "<string>",
"id": "<string>",
"total": 1,
"updated_at": "<string>",
"name": "<string>"
},
"recommended_workspaces": [
{
"matched_email": "<string>",
"project": {
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"project_status": "active",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_id": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"knowledge_urls": [
"<string>"
],
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
},
"resolved_via": "<string>"
}
],
"user": {
"created_at": "<string>",
"id": "<string>",
"updated_at": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"email": "<string>",
"enrichment": {
"enrichment_status": "<string>",
"enriched_at": "<string>",
"error_class": "<string>",
"grounding": {},
"profile": {
"company": "<string>",
"department": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"sub_department": "<string>",
"title": "<string>",
"twitter_url": "<string>",
"website_url": "<string>"
},
"provider": "<string>",
"reason": "<string>",
"stamped_at": "<string>"
},
"name": "<string>"
},
"user_default": {
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"kind": "user_default",
"name": "<string>",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_status": "active",
"artifact_count": 1,
"artifact_count_by_kind": {},
"effective_role": "admin",
"member_count": 1,
"parent": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"parent_id": "<string>",
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
HTTP 200 response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Onboard the caller
curl --request POST \
--url https://agentgateway.atlan.engineering/registry/v1/users/onboard \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/users/onboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/users/onboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"extensions_installed": [
{
"extension": "<string>",
"extension_status": "<string>",
"release": "<string>"
}
],
"groups": [
{
"created_at": "<string>",
"id": "<string>",
"updated_at": "<string>",
"external_id": "<string>",
"member_count": 1,
"name": "<string>"
}
],
"is_created": true,
"org": {
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"kind": "user_default",
"name": "<string>",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_status": "active",
"artifact_count": 1,
"artifact_count_by_kind": {},
"effective_role": "admin",
"member_count": 1,
"parent": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"parent_id": "<string>",
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
},
"organisation": {
"artifact_count_by_kind": {},
"created_at": "<string>",
"id": "<string>",
"total": 1,
"updated_at": "<string>",
"name": "<string>"
},
"recommended_workspaces": [
{
"matched_email": "<string>",
"project": {
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"name": "<string>",
"project_status": "active",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_id": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"knowledge_urls": [
"<string>"
],
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
},
"resolved_via": "<string>"
}
],
"user": {
"created_at": "<string>",
"id": "<string>",
"updated_at": "<string>",
"artifact_count": 1,
"artifact_count_by_kind": {},
"email": "<string>",
"enrichment": {
"enrichment_status": "<string>",
"enriched_at": "<string>",
"error_class": "<string>",
"grounding": {},
"profile": {
"company": "<string>",
"department": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"linkedin_url": "<string>",
"sub_department": "<string>",
"title": "<string>",
"twitter_url": "<string>",
"website_url": "<string>"
},
"provider": "<string>",
"reason": "<string>",
"stamped_at": "<string>"
},
"name": "<string>"
},
"user_default": {
"created_at": "<string>",
"created_by": "<string>",
"display_name": "<string>",
"id": "<string>",
"kind": "user_default",
"name": "<string>",
"root_workspace_id": "<string>",
"updated_at": "<string>",
"updated_by": "<string>",
"workspace_status": "active",
"artifact_count": 1,
"artifact_count_by_kind": {},
"effective_role": "admin",
"member_count": 1,
"parent": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
},
"parent_id": "<string>",
"permissions": {
"can_create_content": true,
"can_delete": true,
"can_discover": true,
"can_join": true,
"can_leave": true,
"can_manage_members": true,
"can_read": true,
"can_update": true
},
"root_workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}